/*! \file dmalloc.h
    Header file for dmalloc.c.
 */

#ifndef DMALLOC_HEADER

  #include <stdlib.h>
  #include <string.h>
  #include <sys/types.h>
  #include "flock.h"

  void* dmalloc(size_t size, char *message, char *file);
  int dfree(void* p, char *message, char *file);

  #define DMALLOC_HEADER
#endif
