/*! \file my_endian.h
    Header file for endian.c.
 */

#ifdef __cplusplus
extern "C" {
#endif

#ifdef ENDIANS_HPP

  void swap_short_2(short *tni2);
  void swap_u_short_2(unsigned short *tni2);
  void swap_int_4(int *tni4);
  void swap_u_int_4(unsigned int *tni4);
  void swap_long_4(long *tni4);
  void swap_u_long_4(unsigned long *tni4);
  void swap_float_4(float *tnf4);
  void swap_double_8(double *tndd8);

  #define ENDIANS_HPP
#endif

#ifdef __cplusplus
}
#endif

