#include "flock.h"
#include <stdio.h>


int main (int argc, char *argv[])
{
  int cr;

  if (argc != 3)
  {
    fprintf (stderr, "\nUsage: copy_lock.test <source> <destination>\n");
    return 1;
  }

  cr = append_file_with_lock(argv[1], argv[2]);

  if (cr != COPY_OK)
  {
    fprintf (stderr, "\n\nERROR! code is %d\n", cr);
    return 1;
  }

  fprintf (stdout, "\n\nDONE\n\n");

  return 0;
}

