#include <stdio.h>
#include "strings_utils.h"

int main(int argc, char *argv[])
{
  int           n;
  unsigned char res[4];

  if (argc != 2)
  {
    fprintf (stdout, "\nUsage ip_address_to_num.test <IP address>\n");
    return 1;
  }

  n = ip_address_to_num(argv[1], res);

  if (n == 0) 
  {
    for (n=0; n<4; n++)
    { printf ("\n%d", res[n]); }
  }
  else
  {
    fprintf (stdout, "\nThis is not an IP address\n");
  }

  fprintf (stdout, "\n\n");
  return 1;
}
