#include <stdio.h>
#include "strings_utils.h"

int main (int argc, char *argv[])
{
  char *res;
  int  val;

  if (argc != 4)
  {
    fprintf (stderr, "\nUsage: replace.test <source string> <tag> <integer value>\n");
    return 1;
  }

  val = atoi(argv[3]);
  res = replace_tag_by_integer (argv[1], argv[2], val);
  if (res == NULL)
  {
    fprintf (stderr, "\nOut of memory!\n");
    return 1;
  }

  fprintf (stdout, "\n --> [%s]\n\n", res);

  return 0;
}
