#include <stdlib.h>
#include <stdio.h>
#include "my_math.h"

int main (int argc, char *argv[])
{
  unsigned int N, f, r;

  if (argc != 3)
  {
    fprintf (stderr, "\nUsage: round_to_multiple_of.test <value> <factor>\n");
    return 1;
  }

  N = (unsigned int)atoi(argv[1]);
  f = (unsigned int)atoi(argv[2]);

  r = round_to_multiple_of (N, f);

  fprintf (stdout, "\n%u, %u => %u\n", N, f, r);
  return 0;
}
