#include <stdio.h>
#include "infranet.h"

int time_shift = -3600;

int main (int argc, char *argv[])
{
  int   result;
  int   error;

  if (argc != 2)
  {
    fprintf (stderr, "\n\nUsage: string2int.test number\n\n");
    return 1;
  }

  result = string2int (argv[1], &error);
  if (error)
  {
    fprintf (stdout, "\n\n%s is not a number!\n\n", argv[1]);
    return 1;
  }

  fprintf (stdout, "\n\nsizeof(int) = %d", sizeof(int));
  fprintf (stdout, "\n\nThe number is: %d\n\n", result);

  return 0;
}
