/*! \file make_dates.c
    This is just a little utility to create arrays that contain: the days of the week and the months of the year. The
    output is nased on the current time setting of the host, so you can get a new parser very easely.
 */


#include <time.h>
#include <stdio.h>


int main ()
{
  char       strtime[256];
  struct tm  tt;
  int        i;

  tt.tm_sec   = 0;
  tt.tm_min   = 0;
  tt.tm_hour  = 0;
  tt.tm_mday  = 1;
  tt.tm_year  = 100;
  tt.tm_yday  = 0;
  tt.tm_isdst = 0;


  fprintf (stdout, "\nchar *days[7] = { ");

  for (i=0; i<6; i++)
  {
    tt.tm_wday = i;
    tt.tm_mon  = 0;
    strftime (strtime, 256, "%a", &tt);
    fprintf (stdout, "\"%s\",", strtime);
  }
  tt.tm_wday = 6;
  strftime (strtime, 256, "%a", &tt);
  fprintf (stdout, "\"%s\" };", strtime);

  fprintf (stdout, "\n\n");

  fprintf (stdout, "\nchar *months[12] = { ");

  for (i=0; i<11; i++)
  {
    tt.tm_wday = 0;
    tt.tm_mon  = i;
    strftime (strtime, 256, "%b", &tt);
    fprintf (stdout, "\"%s\",", strtime);
  }
  tt.tm_mon = 11;
  strftime (strtime, 256, "%b", &tt);
  fprintf (stdout, "\"%s\" };", strtime);

  fprintf (stdout, "\n\n");



  return 0;
}
