#include <stdio.h>
#include "my_dir.h"

int main (int argc, char *argv[])
{
  int   cr;
  char  *bname;



  if (argc != 2)
  {
    fprintf (stderr, "\nUsage: basename.test <file name>\n");
    return 1;
  }

  cr =  base_dir_name (argv[1], &bname);

  switch (cr)
  {
    case BASE_DIR_NOT_FOUND:
         fprintf (stdout, "\nbase name not found\n");
         return 0;
    case BASE_DIR_NO_MEM:
         fprintf (stderr, "\nCan not allocate memory\n");
         return 1;
  }

  if (bname != NULL)
  { 
    fprintf (stdout, "\nbase name found: %s\n\n", bname);
    free (bname);
    return 0;
  }

  fprintf (stderr, "\nNULL pointer ! ==> ERROR !!!");

  return 1;
}
