#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "replacer.h"



/* -------------------------------------------------- */

extern char** txt_tokens;
extern size_t nb_tokens;

/* -------------------------------------------------- */

#define NB_LINE 1024

static char buff1[]="A ${TAG1} B ${TAG2} C\nA ${TAG1} B ${TAG2} C\n";






int main()
{
  int   res;
  char  *buff;


  /* ------------------------------------------------ */
  /* Create a huge test buffer                        */
  /* ------------------------------------------------ */

  buff = (char*)malloc( strlen(buff1) * NB_LINE + 1 );
  if (buff == NULL)
  {
    fprintf (stderr, "\n\nCan not allocate memory!\n\n");
    return 1;
  }
  *buff = 0;

  for (res=0; res<NB_LINE; res++) { strcat (buff, buff1); }

  /* ------------------------------------------------ */
  /* Parse te in-memory buffer                        */
  /* ------------------------------------------------ */

  fprintf (stdout, "\n\nTesting parser for memory leaks...\n\n");
  fflush (stdout);

  while (1)
  {
    res = yylex_memory(buff);
    if (res == RELACER_MEM_ERROR)
    {
      fprintf (stderr, "\n\nCan not allocate memory!\n\n");
      return 1;
    }

    free_tokens();
  }

  /* ------------------------------------------------ */
  /* Free memory                                      */
  /* ------------------------------------------------ */

  free (buff);

  return 0;
}



