#include <stdio.h>
#include "strings_utils.h"

int main(int argc, char *argv[])
{
  struct fields fd;
  int    n, i;

  if (argc != 3)
  {
    fprintf (stdout, "\nUsage s_split.test string delimitor\n");
    return 1;
  }
  
  n = s_split(argv[1], argv[2], &fd);
  if (n == -1)
  {
    fprintf (stdout, "\nCan not allocate memory\n");
    return 1;
  }

  for (i=0; i<fd.number_of_fields; i++)
  { fprintf (stdout, "\n-> %s", fd.tabs[i]); }

  free_fields(&fd);

  fprintf (stdout, "\n\n");
  return 1;
}
