#include <stdio.h>

extern int smtp_yylex_memory (char *src);


#define NUMBER_OF_TESTS 15

static char *responses[] = {
                             "250 OK (valid)\r\n",
                             "220 newsletter.tiscali.fr Simple Mail Transfer Service Ready (valid)\r\n",
                             "250 newsletter.tiscali.fr  (valid)\r\n", 
                             "354 Start mail input; end with <CRLF>.<CRLF> (valid)\r\n",

                             "250OK (not valid)\r\n",
                             "220newsletter.tiscali.fr Simple Mail Transfer Service Ready (not valid)\r\n",
                             "250newsletter.tiscali.fr (not valid)\r\n", 
                             "354Start mail input; end with <CRLF>.<CRLF> (not valid)\r\n",

                             "X345 (not valid)\r\n",
                             "3XX newsletter.tiscali.fr(not valid)\r\n",

                             "250 OK (not valid)\n",
                             "250 OK (not valid)",
                             "\n",
                             "\r\n",

                             ""
                           };


int main (int argc, char *argv[])
{
  int i, cr;

  for (i=0; i<NUMBER_OF_TESTS; i++)
  {
    fprintf (stdout, "\nParsing [%s]", responses[i]);
    fflush(stdout);

    cr = smtp_yylex_memory(responses[i]);

    fprintf (stdout, "\nstatus = %d\n", cr);
    fflush(stdout);
  }

  return 0;
}
