#include <stdio.h>
#include <stdlib.h>
#include "files.h"


int main (int argc, char *argv[])
{
  char **file_flist;
  int  i;
  char *name;



  if (argc < 3)
  {
    fprintf (stderr, "\n\nUsage wait_for_multiple_files.test <stop file> <file 1> [<file 2> [<file 3> ...]]\n\n");
    return 1;
  }

  file_flist = (char**)malloc((argc-1)*sizeof(char**));
  if (file_flist == NULL)
  {
    fprintf (stderr, "\n\nCan not allocate memory !");
    return 1;
  }

  for (i=2; i<argc; i++)
  { file_flist[i-2] = argv[i]; }
  file_flist[i-2] = NULL;

  name = wait_for_multiple_file (file_flist, 1, argv[1]);

  if (name != NULL)
  {
    fprintf (stdout, "\n\nFile [%s] exist\n\n", name);
  }
  else
  {
    fprintf (stdout, "\n\nSTOP file found\n\n");
  }

  free (file_flist);
  return 0;
}
